Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Class ScapeEdit3DPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart
                  org.eclipse.amp.agf.gef.ScapeEditPart
                      org.eclipse.amp.agf3d.ScapeEdit3DPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  ScapeEditRoot3DPart

    public class ScapeEdit3DPart

extends ScapeEditPart

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`anchor, HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, noFigureWarning, SCALE`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ScapeEdit3DPart(ICompositionProvider memberProvider, ILocationProvider locationProvider, org.eclipse.jface.viewers.IFilter filter)`

Method Summary
`protected void` | `addChild(org.eclipse.gef.EditPart child, int index)`
`protected void` | `calculateConstraints(org.eclipse.gef.GraphicalEditPart editPart)`
`protected org.eclipse.draw2d.IFigure` | `createFigure()`

Methods inherited from class org.eclipse.amp.agf.gef.ScapeEditPart
`calculateDimension, createEditPolicies, get2DParts, getFilter, getGraphParts, getLocationProvider, getMemberProvider, getModelRoot, getRootScapeEditPart, getSourceConnectionAnchor, getSourceConnectionAnchor, getSourceConnections, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetConnections, propertyChange, refresh, refreshChildren, setFilter, setLocationProvider, setMemberProvider`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, buildFigure, deactivate, refreshVisuals, updateSelection`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getAdapter, getContentPane, getDragTracker, getFigure, getLayer, getModelSourceConnections, getModelTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getModelChildren, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart
`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ScapeEdit3DPart

    public ScapeEdit3DPart(ICompositionProvider memberProvider,
                           ILocationProvider locationProvider,
                           org.eclipse.jface.viewers.IFilter filter)

Method Detail

### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

  Overrides:
    `createFigure` in class `ScapeEditPart`

### addChild

    protected void addChild(org.eclipse.gef.EditPart child,
                            int index)

  Overrides:
    `addChild` in class `org.eclipse.gef.editparts.AbstractEditPart`

### calculateConstraints

    protected void calculateConstraints(org.eclipse.gef.GraphicalEditPart editPart)

  Overrides:
    `calculateConstraints` in class `ScapeEditPart`
  Parameters:
    `editPart` -
  See Also:
    `ScapeEditPart.calculateConstraints(org.eclipse.gef.GraphicalEditPart)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD